slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSNEPSetMinimality

Sets the maximum minimality index used internally by the DSNEP.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSNEPSetMinimality(DS ds,PetscInt n)

Logically Collective

### Input Parameters

| ds | - the direct solver context
| n | - the maximum minimality index

### Options Database Key

| -ds_nep_minimality <n> | - sets the maximum minimality index

### Notes

The maximum minimality index is used only in the contour integral method, and is related to the highest momemts used in the method. The default value is 1, an larger value might give better accuracy in some cases, but at a higher cost.

### See Also

DSNEPGetMinimality()

### Level

advanced

### Location

src/sys/classes/ds/impls/nep/dsnep.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages